<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
const receiptStore = useReceiptStore()
</script>

<template>
  <v-table>
    <thead></thead>
    <tbody>
      <tr v-for="(item, index) of receiptStore.receiptItems" :key="item.id">
        <td style="text-align: right">
          <v-img
            :src="`./img/allproduct/product${item.products?.id}.png`"
            height="80"
            width="70"
            cover
          ></v-img>
        </td>
        <td style="text-align: left" width="600px">
          <div style="font-size: 18px; font-weight: bold">{{ item.name }}</div>
          <div :class="'detail'">Category : {{ item.products?.category.name }}</div>
          <div :class="'detail'" v-if="item.products?.category.name === 'Drink'">
            Type : {{ item.products?.subCategory?.name }}
          </div>
          <div :class="'detail'" v-if="item.products?.category.name === 'Drink'">
            Size : {{ item.products?.size?.name }}
          </div>
          <div></div>
        </td>
        <td width="300px">
          <div>
            <v-btn
              icon="mdi-minus"
              density="compact"
              @click="receiptStore.dec(item)"
              size="small"
            ></v-btn>
            <span style="background-color: whitesmoke">{{ item.unit }}</span>

            <v-btn
              icon=" mdi-plus"
              density="compact"
              @click="receiptStore.inc(item)"
              style="color: white; background-color: greenyellow"
              size="small"
            ></v-btn>
            <div style="font-size: 18px; text-align:">
              <span style="color: gray">฿</span> {{ item.price * item.unit }}
            </div>
          </div>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>

<style>
.detail {
  font-size: 13px;
  font-weight: lighter;
  color: gray;
}
</style>
